/*
 * Copyright 2012 Smallcrew, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package fr.smallcrew.rest.data;

import org.springframework.data.domain.Sort;

import java.util.Collection;
import java.util.Iterator;

import static org.hibernate.validator.internal.util.CollectionHelper.newArrayList;

public class WebSort implements Iterable<WebSortOrder> {
  private Collection<WebSortOrder> orders;

  public WebSort() {
    orders = newArrayList();
  }

  public WebSort(Sort sort) {
    this();
    for (Sort.Order order : sort) {
      orders.add(new WebSortOrder(order));
    }
  }

  public Collection<WebSortOrder> getOrders() {
    return orders;
  }

  public void setOrders(Collection<WebSortOrder> orders) {
    this.orders = orders;
  }

  @Override
  public Iterator<WebSortOrder> iterator() {
    return orders.iterator();
  }
}
